Автор Тема: Уебсайтове с поддръжка за Internet Explorer версии 5, 6, 7 и 8  (Прочетена 1485 пъти)

0 Потребители и 1 Гост преглежда(т) тази тема.

georgirgeorgiev

  • Full Member
  • ***
  • Благодарности
  • -Казани: 77
  • -Получени: 13
  • Публикации: 164
Когато правим даден уебсайт, нужно ли е и залсужава ли си, да го направим да е използваем от Internet Explorer версии от 5 до 8?
Ако това, което съм запомнил е актуално и в момента - най-използваният браузър в Китай и Япония е Internet Explorer, като по-значимото е че има много голям процент използваемост на стари версии на Internet Explorer - 5, 6, 7 и 8 ( най-вече 7 и 8 ). Също съм виждал и българи да пишат, че в статистиките на уебсайтовете им виждат, че има голям процент от хора, използващи IE5-8 (15% - 20%). Не знам дали съм разбрал правилно, но майче Windows Xp по подразбиране е с инсталиран Internet Explorer 6 и също може да се ъпдейтне, но най-много до IE 8, по-нагоре не може - предполагам също има някакъв процент хора използващи Windows Xp, които също попадат в класацията на процента от хора използващи версии на IE под 9.
Пиша конкретно за версии между 5 и 8, защото от моите много малко на брой и начинаещи наблюдения, съм забелязал, че IE9 и версиите нагоре след нея, поддържат всички или почти всички важни и основни функционалности, които поддържат и повечето версии на другите по-известни браузъри, като Google Chrome и Mozilla Firefox.

Макар това, което написах отгоре и за друго си мисля. Като го погледна от другата страна, човек нали може да се опитва да прави уебсайтовете му работещи за по-старии версии на IE5-8, но докато се съсредоточава в направата на тези неща, не губи ли време и шанс да научи и усвои по-добре най-новите и актуални функционалности, които са излезнали и се използват в настоящия момент?

Има и друго нещо, което се питам - понеже на няколко места видях, че хора пишат относно това, че например даден сайт можем да го направим най-много да има поддръжка за IE8, без да правим поддръжка за версиите по-надолу (IE7, IE6 и т.н.) - във връзка с това се питам "Ако направим уебсайта да поддържа IE версия 8, това автоматчно няма ли да го направи и използваме за поне IE7? Може не напълно но все пак, основните функционалности, които искаме да направим да се поддържат в IE8, не са ли почти същите, които са ни нужни и за IE7? Например като сложим на уебсайта ни html5shiv (работещ за IE6-IE9), modernizr (работещ за IE6+), pie (рабтещ за IE6-IE9) и подобни добавки за да направим уебсайта ни да функционира коректно и на по-стари версии на IE, то при тази ситуация няма ли да е сравнително лесно ако можем да направим уебсайта функциониращ за IE8, също да е функциониращ и за IE7 и IE6, тъй като по-горните добавки работят и за тези две версии? Може би тези добавки не са достатъчни за да успеем да постигнем това, но е нужно да добавим още неща към кода, както и да се съобразим с други неща според дадената IE версия. Но по-скоро тук имах предвид добавянето на едни от най-основните фукнционалности, които лиспват в тези по стари IE версии и които можем да добавим чрез по-горе създадените добавки за тях.

В заключение искам като цяло да ви попитам относно това което написах по-горе - вярно ли е написаното; съгласни ли сте с него; ако е вярно и имаме това напредвид, според вас до какъв извод стигаме - трябва да правим уебсайтовете да са използваеми също и за тези по-стари версии на Internet Explorer (IE5 - IE8) или според вас е обратното - не трябва да правим поддръжка за тези версии на Internet Explorer или отговора ви е различен от тези двата?

Ако според вас е нужна да се прави поддръжката, ако пожелаете споделете, защо е нужна.
Ако според вас не е нужна да се прави поддръжката, ако пожелаете споделете, защо не е нужна.
« Последна редакция: 26 Август 2015, 03:27:49 от georgirgeorgiev »

HD

  • Administrator
  • Hero Member
  • *****
  • Благодарности
  • -Казани: 208
  • -Получени: 165
  • Публикации: 3077
Не, не си заслужава да предлагаш толкова задълбочен съпорт на IE. И то на толкова стари версии, защото просто те не могат да работят с неща като html5 и css3, тоест нещата, върху които ти е базиран съвременния фронт енд. За мен златното правило и нещото, което аз използвам е да предлагам съпорт три версии назад. Най-новата версия сега на IE се казва Edge, тоест оптималния съпорт, който мога да се постарая да предложа е до версия 8.

Avalanche

  • Administrator
  • Hero Member
  • *****
  • Благодарности
  • -Казани: 65
  • -Получени: 269
  • Публикации: 2595
  • meow
Ето ти малко статистика над която да се замислиш http://www.w3counter.com/trends Тия версии на IE вече са с под 2% ползване. Това с поддръжката на IE >=8 е напълно валидно, като даже някои вече и 8-ца и 9-ка не гледат.
"Компютрите не правят каквото искаме, а каквото им кажем." Ако разбереш какво значи това няма да имаш големи проблеми, нито с никоя ОС, нито език, или софтуер.
Аз не съм програмист между другото!

georgirgeorgiev

  • Full Member
  • ***
  • Благодарности
  • -Казани: 77
  • -Получени: 13
  • Публикации: 164
Значи според вас въобще не си заслужава да се занимавам с Internet Explorer 6-та и 7-ма версия?
Ами ако речем, че се стремя да правя даден уебсайт да може да се пуска най-много до Internet Explorer 8, при това положение не става ли това което съм написал по-нагоре в темата - много от по-новите функционалности, които липсват в IE8, липсват и в IE7 и ако се направи поддръжка за даден уебсайт за IE8, автоматично тази поддръжка ще работи и за IE7 или поне до голяма степен (с изключение на някои неща, които допълнително трябва да се добавят за 7-ма версия) ?

Avalanche

  • Administrator
  • Hero Member
  • *****
  • Благодарности
  • -Казани: 65
  • -Получени: 269
  • Публикации: 2595
  • meow
На теория ще работят, ама на практика не се знае! Затова на никой не му се занимава да се съобразява с IE, щото е голяма пумия. Гарантирам ти че още на първия ти сайт, който се опиташ да оптимизираш за тая пародия на браузър ще искаш да си срежеш вените, просто е изгубена кауза и е въпрос на време да бъде забравен напълно.
"Компютрите не правят каквото искаме, а каквото им кажем." Ако разбереш какво значи това няма да имаш големи проблеми, нито с никоя ОС, нито език, или софтуер.
Аз не съм програмист между другото!

georgirgeorgiev

  • Full Member
  • ***
  • Благодарности
  • -Казани: 77
  • -Получени: 13
  • Публикации: 164
Ами дали имате наблюдения работодателите в днешно време горе-долу/средностатистически до коя версия на IE искат да им бъдат оптимизирани уебсайтовете?

Avalanche

  • Administrator
  • Hero Member
  • *****
  • Благодарности
  • -Казани: 65
  • -Получени: 269
  • Публикации: 2595
  • meow
Всичко е много относително, не се товари с излишни тревоги и стой далече от злото - http://thecodinglove.com/post/75501451873/dropped-ie6-support.

Ориентирай се спрямо Chrome/Firefox и след това евентуално кърпи за IE.
"Компютрите не правят каквото искаме, а каквото им кажем." Ако разбереш какво значи това няма да имаш големи проблеми, нито с никоя ОС, нито език, или софтуер.
Аз не съм програмист между другото!

georgirgeorgiev

  • Full Member
  • ***
  • Благодарности
  • -Казани: 77
  • -Получени: 13
  • Публикации: 164
Благодаря ти за съвета, Avalanche.

Относно gif-а - хахаха :D.
Бях чел, че нещо от Microsoft са спрели поддръжката на Internet Explorer 6 или нещо подобно. Каква точно е новината?
« Последна редакция: 26 Август 2015, 23:09:57 от georgirgeorgiev »

Avalanche

  • Administrator
  • Hero Member
  • *****
  • Благодарности
  • -Казани: 65
  • -Получени: 269
  • Публикации: 2595
  • meow
Сменят му името на Edge (12-тата версия), поддръжка никога не е имало.
"Компютрите не правят каквото искаме, а каквото им кажем." Ако разбереш какво значи това няма да имаш големи проблеми, нито с никоя ОС, нито език, или софтуер.
Аз не съм програмист между другото!

georgirgeorgiev

  • Full Member
  • ***
  • Благодарности
  • -Казани: 77
  • -Получени: 13
  • Публикации: 164
Ясно. Това има ли връзка с коментарите на които попаднах наскоро в които хора се радват, поради нещо отрицателно, което е станало с IE6?
« Последна редакция: 27 Август 2015, 02:06:14 от georgirgeorgiev »